/*
  https://www.mcneece.com/clamp-generator/
*/

html {
  font-size: clamp(1rem, 0.82rem + 0.47vw, 1.13rem);
  @media (max-width: 600px) {
    font-size: 16px;
  }
  @media (min-width: 1024px) {
    font-size: 18px;
  }
}

h1 {
  font-size: clamp(2rem, 0.58rem + 3.77vw, 3rem);
  @media (max-width: 600px) {
    font-size: 32px;
  }
  @media (min-width: 1024px) {
    font-size: 48px;
  }
}

h2 {
  font-size: clamp(1.75rem, 0.69rem + 2.83vw, 2.5rem);
  @media (max-width: 600px) {
    font-size: 28px;
  }
  @media (min-width: 1024px) {
    font-size: 40px;
  }
}

h3 {
  font-size: clamp(1.5rem, 0.79rem + 1.89vw, 2rem);
  @media (max-width: 600px) {
    font-size: 24px;
  }
  @media (min-width: 1024px) {
    font-size: 32px;
  }
}

h4 {
  font-size: clamp(1.25rem, 0.54rem + 1.89vw, 1.75rem);
  @media (max-width: 600px) {
    font-size: 20px;
  }
  @media (min-width: 1024px) {
    font-size: 28px;
  }
}

h5 {
  font-size: clamp(1.13rem, 0.59rem + 1.42vw, 1.5rem);
  @media (max-width: 600px) {
    font-size: 18px;
  }
  @media (min-width: 1024px) {
    font-size: 24px;
  }
}

h6 {
  font-size: clamp(1rem, 0.65rem + 0.94vw, 1.25rem);
  @media (max-width: 600px) {
    font-size: 16px;
  }
  @media (min-width: 1024px) {
    font-size: 20px;
  }
}

sup {
  font-size: clamp(0.75rem, 0.4rem + 0.94vw, 1rem);
  @media (max-width: 600px) {
    font-size: 12px;
  }
  @media (min-width: 1024px) {
    font-size: 16px;
  }
}
